#ifndef _MOD_H_
#define _MOD_H_

#include <zlib.h>

#define MF_MANUAL            1

struct MODFILE
{
	char *Name;
	DWORD Type;
};

class MOD
{
public:
	MOD();
	~MOD();

	void Destroy(void);
	bool Save(gzFile zf);
	bool Load(gzFile zf);

	bool AddFile(const char *fname, DWORD type);
	bool RemoveFile(const char *fname);
	void RemoveAuto(void);
	void Merge(MOD *mod);
	void CalculateSize(const char *dfpath);

	DSTRING Name;
	FILETIME ModifyTime;
	MODFILE *FileInfo;
	int nFiles, nFilesAlloc;
	int Size;
	DWORD Flags;
};

#endif
