#ifndef _OFN_H_
#define _OFN_H_

#include "dstring.h"

#define OFNWINDOW_OPEN                      0
#define OFNWINDOW_SAVE                      1

class OFNWINDOW
{
public:
	OFNWINDOW();

	bool Display(HINSTANCE hInstance, HWND hwnd, const char *title, DWORD flags, int type);
	void SetInitialPath(const char *path);
	void SetDefaultExt(const char *ext);
	void SetFilter(const char *filter);
	bool NextFile(void);
	char *GetFullPath(void);
	char *GetFileName(void);
	char *GetExtension(void);
	int GetSelFiles(void)       { return SelFiles; }

	void UpdateFileInfo(void);
	DSTRING Filter;
	DSTRING InitialPath;
	char CurrentPath[256];
	char DefaultExt[4];
	OPENFILENAME Ofn;
	int SelFiles;
	int CurrentFile;
	DSTRING CurrentFileName;
};

#endif